package org.seasar.security.authentication.impl;

import java.security.Principal;

import org.seasar.security.authentication.AuthenticationContext;

/**
 * @author t-wada
 */
public class NullAuthenticationContext implements AuthenticationContext {
    public Principal getUserPrincipal() {
        return new Principal() {
            public String getName() {
                return "unauthenticated user";
            }
        };
    }
    public boolean isUserInRole(String roleName) {
        return false;
    }
    public boolean isAuthenticated() {
        return false;
    }
}
