package org.seasar.security.authorization;

import org.seasar.security.authentication.AuthenticationContext;

/**
 * @author t-wada
 */
public class SNotAuthenticatedException extends SAuthorizationException {
    private Object target_;
    private AuthenticationContext authContext_;
    
    public SNotAuthenticatedException(String messageCode, Object target, AuthenticationContext authContext) {
        super(messageCode, new Object[]{target});
        this.target_ = target;
        this.authContext_ = authContext;
    }
    public Object getTargetComponent() {
        return this.target_;
    }
    public AuthenticationContext getDeniedAuthenticationContext() {
        return this.authContext_;
    }
}
