package org.seasar.security.authentication.impl;

import org.seasar.security.authentication.AuthenticationContext;

import junit.framework.TestCase;

/**
 * @author t-wada
 */
public class SerializableAuthenticationContextTest extends TestCase {
    
    public void testIsUserInRole() throws Exception {
        AuthenticationContext ac = new SerializableAuthenticationContext("user name");
        assertFalse(ac.isUserInRole("admin"));
    }
    
    public void testUsePassedNameAsPrincipalName() throws Exception {
        AuthenticationContext ac = new SerializableAuthenticationContext("user name");
        assertEquals("user name", ac.getUserPrincipal().getName());
    }
}
