package org.seasar.security.authentication.impl;

import org.seasar.framework.container.S2Container;
import org.seasar.security.authentication.AuthenticationContext;
import org.seasar.security.authentication.AuthenticationContextResolver;

/**
 * @author t-wada
 */
public class AuthenticationContextResolverImpl implements AuthenticationContextResolver {
    private S2Container container_;
    
    public void setContainer(S2Container container) {
        this.container_ = container;
    }
    public AuthenticationContext resolve() {
        return (AuthenticationContext) this.container_.getComponent(AuthenticationContext.class);
    }
}
